Search documentation of ExStreamClient

# ExStreamClient.Model.AudioSettingsResponse (ExStreamClient v0.1.10)

View Source

Schema representing a AudioSettingsResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.AudioSettingsResponse{
      access_request_enabled: boolean(),
      default_device: :earpiece | :speaker,
      mic_default_on: boolean(),
      noise_cancellation: ExStreamClient.Model.NoiseCancellationSettings.t() | nil,
      opus_dtx_enabled: boolean(),
      redundant_coding_enabled: boolean(),
      speaker_default_on: boolean()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()